### Hierarchy

- Token

## Index

### Constructors

- constructor

### Properties

- end
- kind
- next
- prev
- start
- value

## Constructors

### constructor

- new Token(kind: number, start: number, end: number, prev: null | Token, value?: string): Token

- - Defined in src/ast/token.ts:28

  #### Parameters

  - ##### kind: number

  - ##### start: number

  - ##### end: number

  - ##### prev: null | Token

  - ##### Optional value: string

  #### Returns Token

## Properties

### end

end: number

- Defined in src/ast/token.ts:15

The character offset at which this Node ends.

### kind

kind: number

- Defined in src/ast/token.ts:5

The kind of Token.

### next

next: null | Token

- Defined in src/ast/token.ts:28

### prev

prev: null | Token

- Defined in src/ast/token.ts:27

Tokens exist as nodes in a double-linked-list amongst all tokens including ignored tokens. <SOF> is always the first node and <EOF> the last.

### start

start: number

- Defined in src/ast/token.ts:10

The character offset at which this Node begins.

### value

value: string

- Defined in src/ast/token.ts:20

For non-punctuation tokens, represents the interpreted value of the token.

Generated using TypeDoc